CONNECT "progserv:URep_Test.gdb";

/* GRANT for PUBLIC */
GRANT SELECT ON VWUREPGROUP TO PUBLIC;
GRANT SELECT ON VWUREPFORM TO PUBLIC;
GRANT SELECT ON VWUREPSCRIPT TO PUBLIC;
GRANT SELECT ON vwURepImports TO PUBLIC;
/* GRANT SELECT ON vwURepLogins TO PUBLIC; */
GRANT EXECUTE ON PROCEDURE vwURepLogins TO PUBLIC;

GRANT SELECT ON UREPFORM TO PUBLIC;
GRANT SELECT ON UREPSCRIPT TO PUBLIC;
GRANT SELECT ON UREPGRPBODY TO PUBLIC;
GRANT SELECT ON UREPFRM2QRY TO PUBLIC;
GRANT SELECT ON UREPQUERY TO PUBLIC;
GRANT SELECT ON UREPREMOTEDATA TO PUBLIC;
GRANT SELECT ON UREPPARAM TO PUBLIC;

GRANT SELECT ON LOOKUPS TO PUBLIC;
GRANT SELECT ON RDB$USER_PRIVILEGES TO PUBLIC;

GRANT EXECUTE ON PROCEDURE SPUREPGETISADMIN TO PUBLIC;
GRANT EXECUTE ON PROCEDURE SPUREPLOGACTION TO PUBLIC;

GRANT REFERENCES ON URepHistoryLog TO PUBLIC;
GRANT INSERT ON URepHistoryLog TO PROCEDURE spURepLogAction;


/* GRANT for UREP_ADMIN */
CREATE ROLE UREP_ADMIN;

GRANT SELECT, INSERT, UPDATE, DELETE, REFERENCES ON UREPGROUP TO UREP_ADMIN;
GRANT INSERT, UPDATE, DELETE ON UREPFORM TO UREP_ADMIN;
GRANT INSERT, UPDATE, DELETE ON UREPSCRIPT TO UREP_ADMIN;
GRANT INSERT, UPDATE, DELETE ON UREPGRPBODY TO UREP_ADMIN;
GRANT INSERT, UPDATE, DELETE ON UREPFRM2QRY TO UREP_ADMIN;
GRANT INSERT, UPDATE, DELETE ON UREPQUERY TO UREP_ADMIN;
GRANT INSERT, UPDATE, DELETE ON UREPREMOTEDATA TO UREP_ADMIN;
GRANT INSERT, UPDATE, DELETE ON UREPPARAM TO UREP_ADMIN;
GRANT SELECT, INSERT, UPDATE, DELETE ON URepUsers TO URep_Admin;
GRANT SELECT, INSERT, UPDATE, DELETE, REFERENCES ON URepImports TO URep_Admin;
GRANT SELECT, INSERT, UPDATE, DELETE ON URepLogins TO URep_Admin;


GRANT EXECUTE ON PROCEDURE spURepFormDel  TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepFormNumm TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepGrpDel TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepGrpNumm TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepImportsNumm TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepQueryNumm TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepScriptDel TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepScriptNumm TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepFrm2QryNumm TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepGrpAdd TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepParamNumm TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepParamsCopy TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepQueryDel TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepScriptAdd TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepFormAdd TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepParamAdd TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepQueryAdd TO URep_Admin;

GRANT EXECUTE ON PROCEDURE spURepRemoteDataAdd TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepRemoteDataNumm TO URep_Admin;
GRANT EXECUTE ON PROCEDURE spURepRemoteDataDel TO URep_Admin;

GRANT EXECUTE ON PROCEDURE vwURepObjects TO UREP_ADMIN;
GRANT EXECUTE ON PROCEDURE vwURepRightsByUser TO UREP_ADMIN;





/* Example grant role to user - URepAdmin
GRANT UREP_ADMIN TO KUZN_VV;
*/
