/* =============   GRANT   ==========================*/
if not exists (select * from sysusers where name = N'URep_Admin' and uid > 16399)
	EXEC sp_addrole N'URep_Admin'
GO

if not exists (select * from sysusers where name = N'URep_User' and uid > 16399)
	EXEC sp_addrole N'URep_User'
GO

/* GRANT for URep_User */
GRANT  SELECT  ON [dbo].[Lookups]  TO [URep_User]
GO
GRANT  SELECT  ON [dbo].[URepForm]  TO [URep_User]
GO
GRANT  SELECT  ON [dbo].[URepScript]  TO [URep_User]
GO
GRANT  SELECT  ON [dbo].[URepImports]  TO [URep_User]
GO
GRANT  SELECT  ON [dbo].[URepQuery]  TO [URep_User]
GO
GRANT  SELECT  ON [dbo].[URepRemoteData]  TO [URep_User]
GO
GRANT  SELECT  ON [dbo].[URepFrm2Qry]  TO [URep_User]
GO
GRANT  SELECT  ON [dbo].[URepGrpBody]  TO [URep_User]
GO
GRANT  SELECT  ON [dbo].[URepParam]  TO [URep_User]
GO

GRANT  SELECT  ON [dbo].[vwURepForm]  TO [URep_User]
GO
GRANT  SELECT  ON [dbo].[vwURepGroup]  TO [URep_User]
GO
GRANT  SELECT  ON [dbo].[vwURepLogins]  TO [URep_User]
GO
GRANT  SELECT  ON [dbo].[vwURepScript]  TO [URep_User]
GO
GRANT  SELECT  ON [dbo].[vwURepImports]  TO [URep_User]
GO

GRANT  EXECUTE  ON [dbo].[spURepGetIsAdmin]  TO [URep_User]
GO
GRANT  EXECUTE  ON [dbo].[spURepLogAction]  TO [URep_User]
GO

/* GRANT for UREP_ADMNIN */
GRANT SELECT, INSERT, UPDATE, DELETE ON URepGroup TO URep_Admin
GO
GRANT SELECT, INSERT, UPDATE, DELETE ON URepForm TO URep_Admin
GO
GRANT SELECT, INSERT, UPDATE, DELETE ON URepScript TO URep_Admin
GO
GRANT SELECT, INSERT, UPDATE, DELETE ON URepGrpBody TO URep_Admin
GO
GRANT SELECT, INSERT, UPDATE, DELETE ON URepFrm2Qry TO URep_Admin
GO
GRANT SELECT, INSERT, UPDATE, DELETE ON URepQuery TO URep_Admin
GO
GRANT SELECT, INSERT, UPDATE, DELETE ON URepRemoteData TO URep_Admin
GO
GRANT SELECT, INSERT, UPDATE, DELETE ON URepParam TO URep_Admin
GO
GRANT SELECT, INSERT, UPDATE, DELETE ON URepUsers TO URep_Admin
GO
GRANT SELECT, INSERT, UPDATE, DELETE ON URepImports TO URep_Admin
GO
GRANT SELECT, INSERT, UPDATE, DELETE ON URepLogins TO URep_Admin
GO


GRANT SELECT ON vwURepObjects TO URep_Admin
GO
GRANT SELECT ON vwURepRightsByUser TO URep_Admin
GO


GRANT EXECUTE ON spURepFormDel TO URep_Admin
GO
GRANT EXECUTE ON spURepFormNumm TO URep_Admin
GO
GRANT EXECUTE ON spURepGrpDel TO URep_Admin
GO
GRANT EXECUTE ON spURepGrpNumm TO URep_Admin
GO
GRANT EXECUTE ON spURepImportsNumm TO URep_Admin
GO
GRANT EXECUTE ON spURepQueryNumm TO URep_Admin
GO
GRANT EXECUTE ON spURepScriptDel TO URep_Admin
GO
GRANT EXECUTE ON spURepScriptNumm TO URep_Admin
GO
GRANT EXECUTE ON spURepFrm2QryNumm TO URep_Admin
GO
GRANT EXECUTE ON spURepGrpAdd TO URep_Admin
GO
GRANT EXECUTE ON spURepParamNumm TO URep_Admin
GO
GRANT EXECUTE ON spURepParamsCopy TO URep_Admin
GO
GRANT EXECUTE ON spURepQueryDel TO URep_Admin
GO
GRANT EXECUTE ON spURepScriptAdd TO URep_Admin
GO
GRANT EXECUTE ON spURepFormAdd TO URep_Admin
GO
GRANT EXECUTE ON spURepParamAdd TO URep_Admin
GO
GRANT EXECUTE ON spURepQueryAdd TO URep_Admin
GO
GRANT EXECUTE ON spURepRemoteDataAdd TO URep_Admin
GO
GRANT EXECUTE ON spURepRemoteDataNumm TO URep_Admin
GO
GRANT EXECUTE ON spURepRemoteDataDel TO URep_Admin
GO
